Package org.apache.sysds.runtime.util

## Class DependencyWrapperTask<E>

- java.lang.Object
- - org.apache.sysds.runtime.util.DependencyTask<E>
  - - org.apache.sysds.runtime.util.DependencyWrapperTask<E>

- All Implemented Interfaces:
    `Comparable<DependencyTask<?>>`, `Callable<E>`

      public abstract class DependencyWrapperTask<E>
      extends DependencyTask<E>

- - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.runtime.util.DependencyTask

      `_dependencyTasks, ENABLE_DEBUG_DATA`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DependencyWrapperTask​(DependencyThreadPool pool)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addWrappedTaskFuture​(Future<Future<?>> future)` |
    `E` | `call()` |
    `List<Future<Future<?>>>` | `getWrappedTaskFuture()` |
    `abstract List<DependencyTask<?>>` | `getWrappedTasks()` |

    - ### Methods inherited from class org.apache.sysds.runtime.util.DependencyTask

      `addDependent, addPool, assignFuture, compareTo, hasDependency, isReady, setPriority, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DependencyWrapperTask

          public DependencyWrapperTask​(DependencyThreadPool pool)

  - ### Method Detail

    - #### addWrappedTaskFuture

          public void addWrappedTaskFuture​(Future<Future<?>> future)

    - #### getWrappedTaskFuture

          public List<Future<Future<?>>> getWrappedTaskFuture()
                                                       throws ExecutionException,
                                                              InterruptedException

      Throws:
        `ExecutionException`
        `InterruptedException`

    - #### getWrappedTasks

          public abstract List<DependencyTask<?>> getWrappedTasks()

    - #### call

          public E call()
                 throws Exception

      Specified by:
        `call` in interface `Callable<E>`
      Overrides:
        `call` in class `DependencyTask<E>`
      Throws:
        `Exception`